Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517837 - VMware auto-placement fails w/ [[NoMethodError]: undefined method `<' for nil:NilClass]
Summary: VMware auto-placement fails w/ [[NoMethodError]: undefined method `<' for nil...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.9.0
Assignee: Adam Grare
QA Contact: Alex Newman
URL:
Whiteboard:
Depends On: 1503281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 15:05 UTC by Satoe Imaishi
Modified: 2018-03-06 15:07 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1503281
Environment:
Last Closed: 2018-03-06 15:07:24 UTC
Category: ---
Cloudforms Team: VMware


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:44:58 UTC
New commit detected on ManageIQ/manageiq-providers-vmware/gaprindashvili:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/35401eee94a75a2522fbc6e8cab0695f684a4776

commit 35401eee94a75a2522fbc6e8cab0695f684a4776
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue Nov 21 17:47:35 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 27 10:07:20 2017 -0500

    Merge pull request #136 from agrare/bz_1503281_fix_api_version_nil_error
    
    Move saving of ems.api_version back to parser
    (cherry picked from commit bc7a70de32f5f8383fff20636c7c63c5b0796ba0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1517837

 .../vmware/infra_manager/refresh_parser.rb         |  8 ---
 .../vmware/infra_manager/refresh_parser/filter.rb  |  8 ---
 .../providers/vmware/infra_manager/refresher.rb    | 24 ++++++---
 spec/tools/vim_data/miq_vim_inventory/about.yml    | 61 ----------------------
 spec/tools/vim_data/vim_data_test_helper.rb        |  7 +++
 5 files changed, 24 insertions(+), 84 deletions(-)
 delete mode 100644 spec/tools/vim_data/miq_vim_inventory/about.yml


Note You need to log in before you can comment on or make changes to this bug.